Shopify CLI gives an Error while using it to create an extension!

Solved
Jeremy46
Tourist
9 2 0

Hi

My name is jeremy . I'm rather new to using Shopify cli, and I've been trying to create a subscription app extension .

but after running "Shopify extension create" and choosing my app and extension name , the "initializing project" process stops with this error.(it doesnt give an error when creating other extensions)

pic.png

I've been looking everywhere for any sort of answer but I truly cant find what's causing this issue.

any idea's would be greatly appreciated 

thank you

Replies 14 (14)
junaidjibran
New Member
1 0 0

guide me to find this file

MaxNodland
Excursionist
14 1 5

The file I changed is located at "C:\Ruby30-x64\lib\ruby\gems\3.0.0\gems\shopify-cli-2.1.0\lib\project_types\extension\commands\serve.rb" for me.

I'm on windows.

To find where your gems are installed run "gem env" in console and find GEM PATHS. For reference, my gem path is "C:/Ruby30-x64/lib/ruby/gems/3.0.0".

Also run "shopify version" in console and make sure you're updating the correct Shopify-CLI gem.

Octipus
Excursionist
27 2 6

this works well. 

I know it's a work around but would be nice to have an official fix as everytime i update Shopify CLI i need to edit this bit. 

- Was my reply helpful? Click Like to let me know!
- Was your question answered? Mark it as an Accepted Solution!
Octipus
Excursionist
27 2 6

Can this be merged into github?

- Was my reply helpful? Click Like to let me know!
- Was your question answered? Mark it as an Accepted Solution!
MaxNodland
Excursionist
14 1 5

Hmm, strange that the hack no longer works. It doesn't look like they've changed anything related in the serve.rb file.

I have a pull request out, but it's not been merged.

Also - I've since switched to a new dev computer and the problem has resolved itself. Both machines use Windows 10, etc... but the underlying problem has something to do with system configuration.